-- Global variable for base wheel speed
SPEED = 5

function init()

end

function step()

	-- Initialise local variables to hold maximum
	-- proximity sensor reading and index
	local value = -1
	local index = -1

	-- Iterate over the robot's proximity sensors
	for i = 1, #robot.proximity do
		-- If this sensor has the highest reading so far,
		-- then record its value and index
		if robot.proximity[i].value > value then
			index = i
			value = robot.proximity[i].value
		end
	end

	-- Drive straight ahead, unless an obstacle has been detected
	local left_speed = SPEED
	local right_speed = SPEED

	if value ~= 0 then
		if index <= 12 then
			-- Obstacle detected to the left, so turn right
			right_speed = (index-1) * SPEED / 11
		else
			-- Obstacle detected to the right, so turn left
			left_speed = (24-index) * SPEED / 11
		end
	end

	-- Set wheel speeds and print to console
	robot.wheels.set_velocity(left_speed, right_speed)
	log(string.format("%s - left: %.2f, right: %.2f", robot.id, left_speed, right_speed))
end

function reset()

end

function destroy()

end
